org.springframework.aop

## Interface IntroductionInterceptor

All Superinterfaces:
  Advice, DynamicIntroductionAdvice, Interceptor, MethodInterceptor

All Known Implementing Classes:
  DelegatePerTargetObjectIntroductionInterceptor, DelegatingIntroductionInterceptor

    public interface IntroductionInterceptor
    extends MethodInterceptor, DynamicIntroductionAdvice

Subinterface of AOP Alliance MethodInterceptor that allows additional interfaces to be implemented by the interceptor, and available via a proxy using that interceptor. This is a fundamental AOP concept called introduction.

Introductions are often mixins, enabling the building of composite objects that can achieve many of the goals of multiple inheritance in Java.

Author:
  Rod Johnson
See Also:
  `DynamicIntroductionAdvice`

### Method Summary

### Methods inherited from interface org.aopalliance.intercept.MethodInterceptor

`invoke`

### Methods inherited from interface org.springframework.aop.DynamicIntroductionAdvice

`implementsInterface`